Subject: bug#878: loginctl[2676]: Failed to connect to bus: No such file or directory

From: Mark Hindley <[email-masked]>
Date: Sat, 8 Mar 2025 18:29:08 +0000

Control: tags -1 unreproducible moreinfo

Andrew,

Thanks for this. However, I cannot reproduce on a sysvinit ceres system. I
wonder if it is a failure in the runit dbus scripts?

On Fri, Mar 07, 2025 at 07:07:43PM +0000, Andrew Bower wrote:
> Package: elogind
> Version: 255.17-2
> Severity: normal
> 
> Dear Maintainer,
> 
> I see this reported through syslog at the error level:
> 
>   loginctl[2676]: Failed to connect to bus: No such file or directory

Is this every time or only the first time?

That sounds as if system dbus isn't running. What is the output of

 ps -lfC dbus-daemon

If the system bus *is* running, what does

 busctl

show?

Mark